import React from 'react';
import type { WithNullableEventHandlers } from '../../types';
declare type Props = WithNullableEventHandlers<{
    'data-ui'?: string | null;
    name?: string;
    hideOnClose?: boolean;
    onHideRequest?: () => void;
    onClick?: (e: React.MouseEvent<HTMLLIElement>, name?: string) => void;
} & Partial<DefaultProps>>;
declare type DefaultProps = {
    className: string;
    theme: 'dark' | 'light';
};
export default class DropdownListItem extends React.PureComponent<Props> {
    static displayName: string;
    static defaultProps: DefaultProps;
    render(): JSX.Element;
}
export {};
