"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var DropdownListItem = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(DropdownListItem, _React$PureComponent);

  function DropdownListItem() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = DropdownListItem.prototype;

  _proto.render = function render() {
    var _classNames,
        _this = this;

    return /*#__PURE__*/_react["default"].createElement("li", {
      "data-ui": this.props['data-ui'],
      className: (0, _classnames["default"])((_classNames = {
        'dropdown__list__item': true
      }, _classNames["dropdown__list__item--" + this.props.theme] = true, _classNames["" + this.props.className] = this.props.className, _classNames)),
      onClick: function onClick(e) {
        if (_this.props.onClick) {
          _this.props.onClick(e, _this.props.name);
        }

        if (_this.props.onHideRequest && (_this.props.hideOnClose === undefined || _this.props.hideOnClose)) {
          _this.props.onHideRequest();
        }
      }
    }, this.props.children);
  };

  return DropdownListItem;
}(_react["default"].PureComponent);

exports["default"] = DropdownListItem;

_defineProperty(DropdownListItem, "displayName", 'DropdownListItem');

_defineProperty(DropdownListItem, "defaultProps", {
  className: '',
  theme: 'dark'
});