"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Flash = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(Flash, _React$PureComponent);

  function Flash() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = Flash.prototype;

  _proto.render = function render() {
    var _classNames;

    return /*#__PURE__*/_react["default"].createElement("div", {
      className: (0, _classnames["default"])(this.props.className, (_classNames = {
        'flash': true
      }, _classNames["flash--" + this.props.type] = true, _classNames['flash--visible'] = this.props.visible, _classNames))
    }, /*#__PURE__*/_react["default"].createElement("div", {
      className: "flash__container"
    }, this.props.text || this.props.children), /*#__PURE__*/_react["default"].createElement("button", {
      className: "flash__dismiss-button",
      onClick: this.props.onDismiss
    }));
  };

  return Flash;
}(_react["default"].PureComponent);

exports["default"] = Flash;

_defineProperty(Flash, "displayName", 'Flash');

_defineProperty(Flash, "defaultProps", {
  className: '',
  visible: false,
  type: 'info'
});