"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var FormField = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(FormField, _React$PureComponent);

  function FormField() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = FormField.prototype;

  _proto.render = function render() {
    return /*#__PURE__*/_react["default"].createElement("div", {
      className: (0, _classnames["default"])(this.props.className, {
        'form-field': true,
        'form-field--row': this.props.position === 'row',
        'form-field--error': this.props.error
      })
    }, this.props.children, this.props.error && /*#__PURE__*/_react["default"].createElement("div", {
      "data-ui": "error-message",
      className: "form-field__error-message"
    }, this.props.errorMessage));
  };

  return FormField;
}(_react["default"].PureComponent);

exports["default"] = FormField;

_defineProperty(FormField, "displayName", 'FormField');

_defineProperty(FormField, "defaultProps", {
  className: '',
  error: false,
  position: 'column'
});