import React from 'react';
import type { WithNullableEventHandlers } from '../../types';
declare type Props = WithNullableEventHandlers<{
    onSubmit?: (event: React.FormEvent<HTMLFormElement>) => void;
} & Partial<DefaultProps>>;
declare type DefaultProps = {
    className: string;
};
export default class Form extends React.PureComponent<Props> {
    static defaultProps: DefaultProps;
    _handleSubmit: (event: React.FormEvent<HTMLFormElement>) => void;
    render(): JSX.Element;
}
export {};
