"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Form = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(Form, _React$PureComponent);

  function Form() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$PureComponent.call.apply(_React$PureComponent, [this].concat(args)) || this;

    _defineProperty(_assertThisInitialized(_this), "_handleSubmit", function (event) {
      if (_this.props.onSubmit) {
        _this.props.onSubmit(event);
      }
    });

    return _this;
  }

  var _proto = Form.prototype;

  _proto.render = function render() {
    return /*#__PURE__*/_react["default"].createElement("form", {
      className: (0, _classnames["default"])('form', this.props.className),
      onSubmit: this._handleSubmit
    }, this.props.children);
  };

  return Form;
}(_react["default"].PureComponent);

exports["default"] = Form;

_defineProperty(Form, "defaultProps", {
  className: ''
});