"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Icon = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(Icon, _React$PureComponent);

  function Icon() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = Icon.prototype;

  _proto.render = function render() {
    var _classNames;

    var svgProps = _extends({}, this.props);

    delete svgProps.className;
    return /*#__PURE__*/_react["default"].createElement("svg", _extends({}, svgProps, {
      className: (0, _classnames["default"])(this.props.className, (_classNames = {
        'icon': true
      }, _classNames["icon-" + this.props.name] = Boolean(this.props.name), _classNames)) // @ts-ignore
      ,
      title: null
    }), /*#__PURE__*/_react["default"].createElement("use", {
      xlinkHref: "#" + this.props.name
    }));
  };

  return Icon;
}(_react["default"].PureComponent);

exports["default"] = Icon;

_defineProperty(Icon, "displayName", 'Icon');

_defineProperty(Icon, "defaultProps", {
  className: '',
  height: 16,
  name: '',
  width: 16
});