import React from 'react';
import type { WithNullableEventHandlers } from '../../types';
declare type Props = WithNullableEventHandlers<Partial<DefaultProps> & Omit<React.LabelHTMLAttributes<HTMLLabelElement>, 'className' | 'title'>>;
declare type DefaultProps = {
    className: string;
    title: string;
    wrapClass: string;
};
export default class Label extends React.PureComponent<Props> {
    static displayName: string;
    static defaultProps: DefaultProps;
    render(): JSX.Element;
}
export {};
