"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Label = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(Label, _React$PureComponent);

  function Label() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = Label.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        wrapClass = _this$props.wrapClass,
        labelProps = _objectWithoutPropertiesLoose(_this$props, ["wrapClass"]);

    var wrapClassNames = (0, _classnames["default"])(['label', wrapClass]);
    return /*#__PURE__*/_react["default"].createElement("div", {
      className: wrapClassNames
    }, /*#__PURE__*/_react["default"].createElement("label", _extends({}, labelProps, {
      className: this.props.className
    }), this.props.title, this.props.children));
  };

  return Label;
}(_react["default"].PureComponent);

exports["default"] = Label;

_defineProperty(Label, "displayName", 'Label');

_defineProperty(Label, "defaultProps", {
  className: '',
  title: '',
  wrapClass: ''
});