import React from 'react';
declare type Props = {} & Partial<DefaultProps>;
declare type DefaultProps = {
    className: string;
    name: string;
    size: string;
    speed: 'slow' | 'normal' | 'fast' | number;
    title?: string;
    type: 'circular' | 'indefinite' | 'bar' | 'bar-indefinite' | 'indefinite-circular';
    progress: number;
    theme: 'dark' | 'light';
};
export default class Progress extends React.PureComponent<Props> {
    static displayName: string;
    static defaultProps: DefaultProps;
    _getProgress: (progress: number, multiplier?: number) => {
        transform: string;
    };
    render(): JSX.Element;
}
export {};
