import React from 'react';
import type { WithNullableEventHandlers } from '../../types';
declare type Props = WithNullableEventHandlers<{
    'data-ui': string;
    name: string;
    options: Array<{
        'data-ui': string;
        description: string;
        value: string;
        checked: boolean;
        title: string;
        custom: any;
    }>;
    onChange?: (value: string) => void;
} & Partial<DefaultProps>>;
declare type DefaultProps = {
    type: 'list' | 'button';
    className: string;
    disabled: boolean;
};
export default class RadioGroup extends React.PureComponent<Props> {
    static displayName: string;
    static defaultProps: DefaultProps;
    _handleChange: (value: string) => void;
    render(): JSX.Element;
}
export {};
