"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Textarea = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(Textarea, _React$PureComponent);

  function Textarea() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = Textarea.prototype;

  _proto.render = function render() {
    var _this$props = this.props,
        error = _this$props.error,
        className = _this$props.className,
        props = _objectWithoutPropertiesLoose(_this$props, ["error", "className"]);

    var textAreaClassName = (0, _classnames["default"])(className, {
      'textarea': true,
      'textarea--error': Boolean(error)
    });
    return /*#__PURE__*/_react["default"].createElement("textarea", _extends({}, props, {
      className: textAreaClassName
    }));
  };

  return Textarea;
}(_react["default"].PureComponent);

exports["default"] = Textarea;

_defineProperty(Textarea, "displayName", 'Textarea');

_defineProperty(Textarea, "defaultProps", {
  className: '',
  error: false
});