import React, { MouseEvent, ReactNode } from 'react';
import { ButtonProps } from '../button';
import type { WithNullableEventHandlers } from '../../types';
declare type Props = WithNullableEventHandlers<ButtonProps & {
    name?: string;
    groupClassName?: string;
    children?: ((params: {
        onDropdownVisibilityToggle: () => void;
    }) => ReactNode) | ReactNode;
    triggerClassName?: string;
    onDropdownTriggerClick?: (e: MouseEvent<HTMLButtonElement>) => void;
}>;
declare type State = {
    dropdownVisible: boolean;
};
export default class ButtonDropdown extends React.PureComponent<Props, State> {
    state: State;
    _handleVisibilityChange: () => void;
    render(): JSX.Element;
}
export {};
