import React from 'react';
import { ButtonProps } from '../button';
import type { WithNullableEventHandlers } from '../../types';
declare type Props = WithNullableEventHandlers<{
    onButtonSelectRequest?: (id: string, e: React.MouseEvent<HTMLButtonElement>) => void;
} & Partial<DefaultProps> & Omit<ButtonProps, 'onClick' | 'id'>>;
declare type DefaultProps = {
    id: string;
};
export default class ButtonGroupItem extends React.PureComponent<Props> {
    static displayName: string;
    static defaultProps: DefaultProps;
    _handleClick: (e: React.MouseEvent<HTMLButtonElement>) => void;
    render(): JSX.Element;
}
export {};
