"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _button = _interopRequireDefault(require("../button"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var ButtonGroupItem = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(ButtonGroupItem, _React$PureComponent);

  function ButtonGroupItem() {
    var _this;

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _React$PureComponent.call.apply(_React$PureComponent, [this].concat(args)) || this;

    _defineProperty(_assertThisInitialized(_this), "_handleClick", function (e) {
      if (_this.props.onButtonSelectRequest) {
        _this.props.onButtonSelectRequest(_this.props.id, e);
      }
    });

    return _this;
  }

  var _proto = ButtonGroupItem.prototype;

  _proto.render = function render() {
    var buttonProps = _extends({}, this.props, {
      onClick: this._handleClick
    }); // NOTE: we don't want to have id attribute on button


    if (buttonProps['id'] != null) {
      delete buttonProps['id'];
      delete buttonProps['onButtonSelectRequest'];
    }

    return /*#__PURE__*/_react["default"].createElement(_button["default"], buttonProps, this.props.children);
  };

  return ButtonGroupItem;
}(_react["default"].PureComponent);

exports["default"] = ButtonGroupItem;

_defineProperty(ButtonGroupItem, "displayName", 'ButtonGroupItem');

_defineProperty(ButtonGroupItem, "defaultProps", {
  id: ''
});