import React from 'react';
import type { Option } from './index';
import type { WithNullableEventHandlers } from '../../types';
declare type Props = WithNullableEventHandlers<{
    index?: number;
    name?: string;
    value: string;
    option?: Option;
    selected?: boolean;
    onOptionRequest?: (value: Option, e: React.MouseEvent) => void;
} & Partial<DefaultProps>>;
declare type DefaultProps = {
    'data-ui': string;
    disabled: boolean;
};
export default class ComboBoxOption extends React.PureComponent<Props> {
    static displayName: string;
    static defaultProps: DefaultProps;
    _handleOptionRequest: (e: React.MouseEvent) => void;
    render(): JSX.Element;
}
export {};
