import React from 'react';
import Icon from '../icon';
export declare type DropdownOption = {
    className: string;
    'data-ui': string;
    icon: Icon;
    name: string;
    title: string;
    hideOnClose?: boolean;
    onClick?: (e: React.MouseEvent<HTMLLIElement>, name?: string) => void;
};
declare type Props = {
    options: Array<DropdownOption>;
    onRequestHide?: () => void;
} & Partial<DefaultProps>;
declare type DefaultProps = {
    className: string;
    theme: 'dark' | 'light';
};
export default class DropdownList extends React.PureComponent<Props> {
    static displayName: string;
    static defaultProps: DefaultProps;
    render(): JSX.Element;
}
export {};
