import React from 'react';
import type { WithNullableEventHandlers } from '../../types';
declare type Props = WithNullableEventHandlers<{
    text: string;
    onDismiss?: () => void;
} & Partial<DefaultProps>>;
declare type DefaultProps = {
    className: string;
    visible: boolean;
    type: 'info' | 'success' | 'error';
};
export default class Flash extends React.PureComponent<Props> {
    static displayName: string;
    static defaultProps: DefaultProps;
    render(): JSX.Element;
}
export {};
