import React from 'react';
import type { WithNullableEventHandlers } from '../../types';
declare type Props = WithNullableEventHandlers<Partial<DefaultProps> & React.SVGProps<SVGSVGElement>>;
declare type DefaultProps = {
    className: string;
    name: string;
    width: number;
    height: number;
};
export default class Icon extends React.PureComponent<Props> {
    static displayName: string;
    static defaultProps: DefaultProps;
    render(): JSX.Element;
}
export {};
