import React from 'react';
import type { WithNullableEventHandlers } from '../../types';
declare type Props = WithNullableEventHandlers<{
    checked?: boolean;
    'data-ui'?: string;
    disabled?: boolean;
    title: string;
    name: string;
    className?: string;
    onClick?: (name: string) => void;
    onHideRequest?: () => void;
}>;
export default class MenuOption extends React.PureComponent<Props> {
    handleOnClick: () => void;
    render(): JSX.Element;
}
export {};
