"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _baseModal = _interopRequireDefault(require("../base-modal"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Modal = /*#__PURE__*/function (_React$Component) {
  _inheritsLoose(Modal, _React$Component);

  function Modal() {
    return _React$Component.apply(this, arguments) || this;
  }

  var _proto = Modal.prototype;

  _proto.render = function render() {
    var modalContent = null;

    if (this.props.content || this.props.children) {
      var _classNames;

      modalContent = /*#__PURE__*/_react["default"].createElement("div", {
        className: (0, _classnames["default"])(this.props.contentClassName, (_classNames = {
          'modal__content': true,
          'modal__content--visible': true
        }, _classNames["modal__content--" + (this.props.name || '')] = this.props.name, _classNames['scrollbars--visible'] = true, _classNames))
      }, this.props.content || this.props.children);
    }

    return /*#__PURE__*/_react["default"].createElement(_baseModal["default"], _extends({}, this.props, {
      content: modalContent
    }));
  };

  return Modal;
}(_react["default"].Component);

exports["default"] = Modal;

_defineProperty(Modal, "displayName", 'Modal');