import React from 'react';
import type { WithNullableEventHandlers } from '../../types';
declare type Props = WithNullableEventHandlers<Partial<DefaultProps> & Omit<React.TextareaHTMLAttributes<HTMLTextAreaElement>, 'className'>>;
declare type DefaultProps = {
    className: string;
    error: boolean | Object;
};
export default class Textarea extends React.PureComponent<Props> {
    static displayName: string;
    static defaultProps: DefaultProps;
    render(): JSX.Element;
}
export {};
