import React from 'react';
import ReactTooltip, { Effect } from 'react-tooltip';
declare type Props = {
    content: any;
    id: string;
} & Partial<DefaultProps> & ReactTooltip.Props;
declare type DefaultProps = {
    className: string;
    place: 'top' | 'right' | 'bottom' | 'left';
    effect: Effect;
};
export default class Tooltip extends React.PureComponent<Props> {
    static displayName: string;
    static defaultProps: DefaultProps;
    render(): JSX.Element;
}
export {};
