"use strict";

exports.__esModule = true;
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _classnames = _interopRequireDefault(require("classnames"));

var _reactTooltip = _interopRequireDefault(require("react-tooltip"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _inheritsLoose(subClass, superClass) { subClass.prototype = Object.create(superClass.prototype); subClass.prototype.constructor = subClass; subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var Tooltip = /*#__PURE__*/function (_React$PureComponent) {
  _inheritsLoose(Tooltip, _React$PureComponent);

  function Tooltip() {
    return _React$PureComponent.apply(this, arguments) || this;
  }

  var _proto = Tooltip.prototype;

  _proto.render = function render() {
    // NOTE: check https://github.com/wwayne/react-tooltip for more info about
    // available props.
    var defaultOptions = {
      effect: 'solid',
      id: this.props.id,
      'class': (0, _classnames["default"])('tooltip', this.props.className),
      place: this.props.place,
      multiline: true
    };
    return /*#__PURE__*/_react["default"].createElement(_reactTooltip["default"], _extends({}, defaultOptions, this.props), this.props.content);
  };

  return Tooltip;
}(_react["default"].PureComponent);

exports["default"] = Tooltip;

_defineProperty(Tooltip, "displayName", 'Tooltip');

_defineProperty(Tooltip, "defaultProps", {
  className: '',
  place: 'top',
  effect: 'solid'
});