"use strict";

exports.__esModule = true;
var _exportNames = {
  iconNames: true,
  iconSprite: true
};
exports.iconSprite = exports.iconNames = void 0;

var _icons = _interopRequireDefault(require("./icons"));

var _components = require("./components");

Object.keys(_components).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  exports[key] = _components[key];
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var iconNames = _icons["default"].iconNames;
exports.iconNames = iconNames;
var iconSprite = _icons["default"].sprite;
exports.iconSprite = iconSprite;